Skip to main content
GET
List notes

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

id
string<uuid>[]

Return the note with the specified id. Multiple IDs can be provided as a comma-separated list.

Example:

"64438afd-fa20-4010-a573-2bbdca77cdb6,84ef251c-ab8f-47a5-bbfd-a16648f95157"

Unique identifier for the related resource. Multiple IDs can be provided as a comma-separated list.

Example:

"64438afd-fa20-4010-a573-2bbdca77cdb6,84ef251c-ab8f-47a5-bbfd-a16648f95157"

Only return notes that have a related resource with the specified type. The type of the resource related to this adverse action notice.

Available options:
CUSTOMER,
BUSINESS,
ACCOUNT
author_user_id
string<uuid>

Only return notes where the author user ID matches the specified string.

Example:

"64438afd-fa20-4010-a573-2bbdca77cdb6"

tenant
string

Only return resources owned by the specified tenant

Example:

"abcdef_ghijkl"

limit
integer
default:100

Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.

Required range: x >= 1
Example:

100

page_token
string

Optional pagination token to be provided to retrieve subsequent pages, returned from previous get

Example:

"a8937a0d"

Response

List of notes

notes
Note response object · object[]
required

Array of notes

next_page_token
string

If returned, use the next_page_token to query for the next page of results. Not returned if there are no more rows.

Example:

"a8937a0d"